ROTTER(1)

NAME
rotter - a recording of transmission / audio logger for JACK

SYNOPSIS

rotter [options] <directory>

DESCRIPTION

Rotter is a Recording of Transmission / Audio Logger for JACK. It was designed for use by radio stations, who are legally required to keep a recording of all their output. Rotter runs continuously, writing to a new file every hour.

Rotter can output files in two different strutures, either all files in a single directory or create a directory structure:

    flat: /root_directory/YYYY-MM-DD-HH.suffix
    hierarchy: /root_directory/YYYY/MM/DD/HH/archive.suffix
    combo: /root_directory/YYYY/MM/DD/HH/YYYY-MM-DD-HH.suffix
    dailydir: /root_directory/YYYY-MM-DD/YYYY-MM-DD-HH.suffix

The advantage of using a folder hierarchy is that you can store related files in the hour’s directory.

OPTIONS

-a
    Automatically connect JACK ports to the first two JACK input ports found.

-f <format>
    Select the output format of the log files. See the rotter help screen for a list of supported output format names.

-b <bitrate>
    Select the bitrate (in kbps) of the log file. This parameter is only supported by bitstream formats (MPEG Audio).

-c <channels>
    Set the number of input channels to be logged. This number of JACK ports will be created. Should either 1 or 2.

-n <name>
    Choose the name of the Jack client to register as.

-N <filename>
    Choose a filename prefix for the archive files created (default archive).

-d <hours>
    Specifies the number of hours of audio to keep before it is deleted. Files are deleted at the start of every hour, based on the files modification date. Default is to not delete files.

-R <secs>
    Sets the length (in seconds) of the ringbuffer. This is the buffer between the internal audio grabber and the audio encoder. If you have a slow machine you might want to try increating the size of the buffer.

-L <layout>
    Choose a file layout option for the archive files created. See above for a list.

-j
    By default rotter will automatically try and start jackd if it isn’t running. This option disables that feature.

-v
    Enable verbose mode. Display more messages about what rotter is doing.

-q
    Enable quiet mode. Only display error messages.

EXAMPLES

rotter -a -f mp3 -d 1000 -b 160 -v /var/achives

Start logging audio to hourly files in /var/archives. Rotter will automatically connect itself to the first two JACK output ports it finds and encode to MPEG Layer 3 audio at 128kbps. Each hour it will delete files older than 1000 hours (42 days). Verbose mode means it will display more informational messages.

AUTHOR

Written by Nicholas J Humfrey

RESOURCES

Web site: http://www.aelius.com/njh/rotter/

COPYING

Copyright (C) 2006-2007 Nicholas J Humfrey. Free use of this software is granted under the terms of the GNU General Public License (GPL).